CMSIS-Core (Cortex-A): Counter Frequency register (CNTFRQ)

| CMSIS-Core (Cortex-A) Version 1.2.0 CMSIS-Core support for Cortex-A processor-based devices

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Counter Frequency register (CNTFRQ)
Core Register Access

Indicates the clock frequency of the system counter. More...

## Functions
__STATIC_FORCEINLINE void | __set_CNTFRQ (uint32_t value)
| Set CNTFRQ. More...
__STATIC_FORCEINLINE uint32_t | __get_CNTFRQ (void)
| Get CNTFRQ. More...

## Description

Consider __get_CNTFRQ and __set_CNTFRQ to access this register.

Consider using Generic Physical Timer Functions for controlling the PL1 Timer instead.

## Function Documentation

__STATIC_INLINE uint32_t __get_CNTFRQ | ( | void |  | ) |

This function returns the value of the PL1 Physical Timer Counter Frequency Register (CNTFRQ).

Returns
  CNTFRQ Register value

This function returns the value of the Counter Frequency register (CNTFRQ).

__STATIC_INLINE void __set_CNTFRQ | ( | uint32_t | value | ) |

This function assigns the given value to PL1 Physical Timer Counter Frequency Register (CNTFRQ).

Parameters

  [in] | value | CNTFRQ Register value to set

This function assigns the given value to Counter Frequency register (CNTFRQ).